Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::GlyphInfo Class Reference

A PangoGlyphInfo C++ wrapper class. More...

`#include <xfc/pango/glyph.hh>`

List of all members.

## Public Member Functions

- PangoGlyphInfo * pango_glyph_info () const
    Get a pointer to the PangoGlyphInfo structure.
- Glyph glpyh () const
    Returns the glyph itself.
- const GlyphGeometry & geometry () const
    Returns the glyph geometry object containing width and positioning information for the glyph.
- const GlyphVisAttr & attr () const
    Returns the GlyphVisAttr which is used to communicate information between the shaping phase and the rendering phase.

## Detailed Description

A PangoGlyphInfo C++ wrapper class.

GlyphInfo represents a single glyph together with positioning information and visual attributes.

The documentation for this class was generated from the following file:

- glyph.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3